﻿@model GamePlayModel
@{
    var currentGame = Model.Spiel;
}

<div class="container">
    <div class="row mb-2">

        @{
            var finished = false;

            for (var i = Rundennummer.RUNDE_1; i <= Rundennummer.RUNDE_6; i++)
            {
                if (finished)
                {
                    <div class="col-2 text-center">
                        <i class="fas fa-circle text-muted text-48 "></i>
                    </div>
                    continue;
                }

                if (currentGame.AktuelleRunde.Nummer == i)
                {
                    finished = true;

                    <div class="col-2 text-center">
                        <i class="fas fa-circle text-muted text-48 "></i>
                    </div>
                    continue;
                }

                <div class="col-2 text-center">
                    <i class="fas fa-circle text-success text-48 "></i>
                </div>
            }
        }
    </div>
    <div class="row">
        @{
            for (var i = Rundennummer.RUNDE_1; i <= Rundennummer.RUNDE_6; i++)
            {
                <div class="col-2 text-center">
                    @if (i == currentGame.AktuelleRunde.Nummer)
                    {
                        <div class="text-center">
                            <div>
                                <i class="fas fa-arrow-up"></i>
                            </div>
                            <div>
                                @(currentGame.SpielerAmZug.Id == Model.UserId ? "Du" : $"{currentGame.SpielerAmZug.Name}")
                            </div>
                            <div class="text-sub">
                                @(currentGame.SpielerAmZug.Id == Model.UserId ? "bist am Zug" : "ist am Zug")
                            </div>
                        </div>
                    }
                </div>
            }
        }
    </div>
</div>